import numpy as np
import pandas as pd
import os
from sklearn.metrics import mean_squared_error

directory = os.getcwd()
sources= '20150101_20151231_Palangkaraya',\
                '20140101_20141231_Jambi',\
                'AF20160101_20161231_Mongu_Inn',\
                'AF20160101_20161231_Namibe',\
                'BOAS20130101_20131231_Yakutsk',\
                'BOAS20140101_20141231_Tiksi',\
                'BONA20130101_20131231_Pickle_Lake',\
                'BONA20150101_20151231_Yellowknife_Aurora',\
                'SAm_20130101_20131231_Rio_Branco',\
                'SAm_20140101_20141231_Alta_Floresta',\
                'SEAS20140101_20141231_Omkoi',\
                'SEAS20150101_20151231_Ubon_Ratchathani',\

#sources= '20150101_20151231_Palangkaraya',\#############loc[213:333]##
#               '20150101_20151231_Jambi',\##################loc[213:333]##

#                'AF20160101_20161231_Mongu_Inn',\############loc[151:333]##
#               'AF20160101_20161231_Namibe',\###############loc[243:305];;;;shorter!!!!!!!fig(g)##

#               'BOAS20130101_20131231_Yakutsk',\#############loc[167:197]##
#                'BOAS20140101_20141231_Tiksi',\##############loc[192:233]##
#                'BONA20130101_20131231_Pickle_Lake',\########loc[151:242]##
#               'BONA20150101_20151231_Yellowknife_Aurora',\##loc[172:202]########
#               'SAm_20130101_20131231_Rio_Branco',\########loc[213:289];;;;;##
#                'SAm_20140101_20141231_Alta_Floresta',\#######loc[233:365]##
#                'SEAS20140101_20141231_Omkoi',\############loc[31:155]##
#                'SEAS20150101_20151231_Ubon_Ratchathani',\###loc[31:155]##





for source in range(9):
    string1 = directory+'/'+'daily_'+sources[source]+'_365_cesm4_obs5.csv'###frp3-------frp_sv
    #print(string1)
    df1= pd.read_csv(string1,usecols=[1]).loc[241:282]#,usecols=["day","AOD"])##E:/FINN-TXT/FINNv1.5_2016.GEOSCHEM/all-201601.csv
    df2= pd.read_csv(string1,usecols=[2]).loc[241:282]
    df3= pd.read_csv(string1,usecols=[3]).loc[241:282]#,usecols=["day","AOD"])##E:/FINN-TXT/FINNv1.5_2016.GEOSCHEM/all-201601.csv
    df4= pd.read_csv(string1,usecols=[4]).loc[241:282]
    df5= pd.read_csv(string1,usecols=[5]).loc[241:282]

    df1 = df1.astype(float)
    df2 = df2.astype(float)
    df3 = df3.astype(float)
    df4 = df4.astype(float)
    df5 = df5.astype(float)


    df = pd.concat([df1,df2,df3,df4,df5],axis=1)
    #print(df)
    df = df.dropna(axis=0)
    print(df)


    df11 = df.iloc[:,0]
    df22 = df.iloc[:,1]
    df33 = df.iloc[:,2]
    df44 = df.iloc[:,3]
    df55 = df.iloc[:,4]
    ###print(df55)


    NMB1 = sum((df11.values-df55.values))/sum(df55.values)*100
    NMB2 = sum((df22.values-df55.values))/sum(df55.values)*100
    NMB3 = sum((df33.values-df55.values))/sum(df55.values)*100
    NMB4 = sum((df44.values-df55.values))/sum(df55.values)*100



    print(NMB1)
    print(NMB2)
    print(NMB3)
    print(NMB4)
    #result2= result1.set_axis(['day','finn-aod','gfed-aod','qfed-aod','vfei-aod','Aero-AOD'],axis=1)
    #print(result2)
    #result2.to_csv('daily_'+sources[source]+'_365_cesm4_obs5.csv',index=False)
